Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
ezpContentCriteria Class Reference

## Public Member Functions
| __construct ()
| __toString ()

## Static Public Member Functions
static | location ()
static | field ( $fieldIdentifier)
static | contentClass ()
static | limit ()
static | sorting ( $sortKey, $sortOrder)
static | depth ( $depth=1)
static | __callStatic ( $method, $arguments)
static | custom ( $method, $arguments)

## Public Attributes
| $accept
| $deny

## Detailed Description

Definition at line 28 of file criteria.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpContentCriteria::__construct | ( |  | ) |

Definition at line 30 of file criteria.php.

## Member Function Documentation

## ◆ __callStatic()

static ezpContentCriteria::__callStatic | ( |  | $method,
|  |  | $arguments
| ) |  |
| static

Static method magic method Handles requests for custom criteria

Parameters

  string | $method | Custom criteria name
  array | $arguments | Custom criteria arguments

Definition at line 99 of file criteria.php.

## ◆ __toString()

ezpContentCriteria::__toString | ( |  | ) |

Human readable string representation of the criteria, for debugging purpose

Definition at line 118 of file criteria.php.

## ◆ contentClass()

static ezpContentCriteria::contentClass | ( |  | ) |
| static

Creates a content class criteria

Returns
  ezpContentClassCriteria

Definition at line 59 of file criteria.php.

## ◆ custom()

static ezpContentCriteria::custom | ( |  | $method,
|  |  | $arguments
| ) |  |
| static

Custom criteria factory.

Note
  This is a PHP < 5.3 replacement for __callStatic. Use the static call if you use PHP 5.3+

Parameters

  string | $method |

Returns
  ezpContentCriteriaInterface

Definition at line 111 of file criteria.php.

## ◆ depth()

static ezpContentCriteria::depth | ( |  | $depth = `1` | ) |
| static

Creates a depth criteria

Parameters

  int | $depth | The maximum level of depth that should be explored (1 by default)

Definition at line 87 of file criteria.php.

## ◆ field()

static ezpContentCriteria::field | ( |  | $fieldIdentifier | ) |
| static

Creates a field criteria

Parameters

  mixed | $fieldIdentifier |

Returns
  ezpContentFieldCriteria

Definition at line 50 of file criteria.php.

## ◆ limit()

static ezpContentCriteria::limit | ( |  | ) |
| static

Creates a limit criteria

Returns
  ezpContentLimitCriteria

Definition at line 68 of file criteria.php.

## ◆ location()

static ezpContentCriteria::location | ( |  | ) |
| static

Creates a location criteria

Returns
  ezpContentLocationCriteria

Definition at line 40 of file criteria.php.

## ◆ sorting()

static ezpContentCriteria::sorting | ( |  | $sortKey,
|  |  | $sortOrder
| ) |  |
| static

Creates a sorting criteria

Parameters

  string | $sortKey | The sort key. Only non-attribute keys are supported (see http://goo.gl/xvJMM)

Returns
  ezpContentSortingCriteria

Definition at line 78 of file criteria.php.

## Member Data Documentation

## ◆ $accept

ezpContentCriteria::$accept

Definition at line 151 of file criteria.php.

## ◆ $deny

ezpContentCriteria::$deny

Definition at line 157 of file criteria.php.

The documentation for this class was generated from the following file:

- criteria.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.